Bug 173453 - graphics/ocaml-images Update to 4.0.1
Summary: graphics/ocaml-images Update to 4.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-07 22:40 UTC by Michaël Grünewald
Modified: 2014-03-27 11:40 UTC (History)
0 users

See Also:


Attachments
file.diff (17.64 KB, patch)
2012-11-07 22:40 UTC, Michaël Grünewald
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michaël Grünewald 2012-11-07 22:40:00 UTC
- Update to 4.0.1
- Complies with PREFIX
- Findlib name is set back to `camlimages' instead of `images'
- No documentation

Documentation is available on line but not ``distributed'' as such,
so I decided to left it out.

Fix: Patch attached with submission follows:
Comment 1 Michaël Grünewald 2012-11-08 06:01:56 UTC
Note: in order to be applied from within graphcis/ocaml-images the patch
must be stripped with --strip=2.
Comment 2 Brendan Fabeny freebsd_committer 2013-01-04 22:46:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 3 John Marino 2013-03-24 01:23:01 UTC
There's at least three problems with this port.

1) patch-src_pngread.c should be removed completely.
2) patch-src_pngwrite.c should be removed completely.
3) There is a build dependency on devel/omake that is not documented

For the first 2, src/pngread.c and src/pngwrite.c are already patched, 
so these packages just dump all hunks to a rejects file.

I have to get devel/omake building before I can continue.  Hopefully 
there are no more problems with graphics/ocaml-images.

John
Comment 4 John Marino 2013-03-24 02:48:47 UTC
I'm not sure what happened because the two png patches *were* good and 
they were necessary.  The dependency on omake is still valid though.

Speaking of which, I basically imported that from pkgsrc because the 
current version didn't build with ocaml 4.00 and the 9.8.6rc1 needed 
something like 26 patches!  Here's the final version of devel/omake that 
got imported into dports:

https://github.com/jrmarino/DPorts/commit/24e135f529690389cd5c215c6be0f8fbb7fbfc20

And the final version of ocamlimages that got imported into dports:
https://github.com/jrmarino/DPorts/commit/bd7b5e5463d7d32c41d1506fd6dc8fa0f0ff1283


Permanent locations of those two are:
https://github.com/jrmarino/DPorts/tree/master/devel/omake
https://github.com/jrmarino/DPorts/tree/master/graphics/ocaml-images

John
Comment 5 Michaël Grünewald 2013-03-28 06:57:42 UTC
Hi John,

thank you for your feedback,

John Marino wrote:
> There's at least three problems with this port.
> 
> 1) patch-src_pngread.c should be removed completely.
> 2) patch-src_pngwrite.c should be removed completely.
> 3) There is a build dependency on devel/omake that is not documented
> 
> For the first 2, src/pngread.c and src/pngwrite.c are already patched,
> so these packages just dump all hunks to a rejects file.

I did not see this:

In pngread.c I have

  /* error handling */
  if (setjmp(png_ptr->jmpbuf)) {
    /* Free all of the memory associated with the png_ptr and info_ptr */

and my patch file says something like

@@ -243,7 +243,7 @@
   }

   /* error handling */
-  if (setjmp(png_ptr->jmpbuf)) {
+  if (setjmp(png_jmpbuf(png_ptr))) {
     /* Free all of the memory associated with the png_ptr and info_ptr */
     png_destroy_read_struct(&png_ptr, &info_ptr, (png_infopp)NULL);
     fclose(fp);

What makes you think the source is already patched?

> I have to get devel/omake building before I can continue.  Hopefully
> there are no more problems with graphics/ocaml-images.

I will add the required dependency!

Best regards,
Michael
Comment 6 John Marino 2013-03-28 08:19:12 UTC
On 3/28/2013 07:57, Michael Grünewald wrote:
>
> What makes you think the source is already patched?
>
>> I have to get devel/omake building before I can continue.  Hopefully
>> there are no more problems with graphics/ocaml-images.
>
> I will add the required dependency!

Hi Michael,
I submitted a follow-up to that post that answers your question.
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173453

Summary: That statement was a mistake, the source is not already patched.

Please read the complete follow-up though!
John
Comment 7 John Marino freebsd_committer 2014-03-26 17:59:30 UTC
Responsible Changed
From-To: bf->marino

I'll take it.
Comment 8 freebsd.contact 2014-03-26 18:02:19 UTC
Hi Michael,
As you may have noticed, I pulled in Ocaml 4.00.1 from DPorts.  I knew
it was not the very latest version, nor is the port staged.  Therefore
I'm leaving this PR open and I just took over responsibility for it.

What I would like you to do is check out the latest version of
lang/ocaml (4.00.1) and update to 4.0.1 or whatever is now the latest,
and at the same time provide stage support.

And tweak whatever else you think is necessary -- you are the maintainer
after all. I got the ball rolling for you again, and now it's back in
your court.

John
Comment 9 freebsd.contact 2014-03-27 08:16:37 UTC
Hi Michael,
I just realized that this PR is for ocaml-images, which is already at
4.0.1.  I thought this was a duplicate PR for lang/ocaml with same
version of 4.0.1.

I will close this, but please submit a new PR for the update of
lang/ocaml 4.00.1.  I just checked and 4.00.1 seems to be the latest (I
thought there was a newer version), but this port still needs to be staged.

There may be other fixes that got lost when I closed the related PR.

Thanks,
John
Comment 10 John Marino freebsd_committer 2014-03-27 08:33:53 UTC
State Changed
From-To: open->closed

port has been updated to latest, but not directly from this PR
Comment 11 Michaël Grünewald 2014-03-27 11:30:23 UTC
Hi John,

thank you for your feedback!

John Marino wrote:

> I just realized that this PR is for ocaml-images, which is already at
> 4.0.1.  I thought this was a duplicate PR for lang/ocaml with same
> version of 4.0.1.
> 
> I will close this, but please submit a new PR for the update of
> lang/ocaml 4.00.1.  I just checked and 4.00.1 seems to be the latest (I
> thought there was a newer version), but this port still needs to be staged.

I will go to these things by next Sunday  I will update the PRs to keep
track of my progress.

Best regards,
Michael